> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# relateddatafields

## "relateddatafields" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RelatedDataFieldsProvider">RelatedDataFieldsProvider</see> class.
The name of the MDO list is 'relateddatafields'.

## Additional Attributes

| Description                                         | Name  | Example Value |
| --------------------------------------------------- | ----- | ------------- |
| The name of the table to analyze for related fields | table | ticket        |
| The recursion depth, default=1                      | depth |               |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/relateddatafields
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("relateddatafields", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
